package org.jeecg.ctop.material.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

import java.util.Map;

public interface IAdqAdvertiserReportService {

    JSONObject getTotalCharge(Map<String, Object> paramsMap);

    JSONObject getTrendCharge(String type, Long projectId, String startTime, String endTime);

    Result<Object> getProjectReport(String category, Long projectId, String startTime, String endTime, String sortCode, String order, Integer pageSize, Integer pageNo, String userId, Boolean allData) throws Exception;

    Result<Object> getOperateInfo(String startTime, String endTime);

    Result<Object> getOperateGroupInfo(String startTime, String endTime);
}
